
Foreman - Bug #29481

capybara 3.32.1 breaks ReportTemplateJSIntegrationTest

04/06/2020 04:19 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Tests   

Target version:    

Difficulty:  Fixed in Releases: 3.0.1, 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7569,

https://github.com/theforeman/foreman/p

ull/8841

  

Description

--- expected

+++ actual

@@ -1,2 +1,2 @@

-"CPUsCPUs,RAM,HDD

+"CPUs,RAM,HDD

 <%= input('cpus') -%>,<%= 1024 -%> MB,N/A" 

 (Minitest::Assertion)

/home/jenkins/workspace/foreman-develop-source-release/test/integration/report_template_js_test.rb

:39    

Associated revisions

Revision bd5f8c8a - 04/07/2020 07:27 AM - Michael Moll 

refs #29481 - Pin capybara (#7569)

Revision 8e45f67c - 10/14/2021 06:19 AM - Ondřej Ezr

Fixes #29481 - unpin capybara

Old capybara doesn't play well with new selenium-webdriver.

The pin is already few years old, we should not keep it anymore.

History

#1 - 04/06/2020 04:20 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7569 added

#2 - 04/07/2020 07:27 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 04/14/2020 04:52 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7580 added

#4 - 04/14/2020 04:53 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7579 added

#5 - 04/16/2020 10:59 AM - Anonymous

- Fixed in Releases deleted (2.1.0)

#6 - 05/02/2020 11:11 AM - Anonymous

- Status changed from Ready For Testing to New
- Assignee deleted (Anonymous)

#7 - 10/13/2021 04:35 PM - Ondřej Ezr

- Pull request deleted (https://github.com/theforeman/foreman/pull/7579, https://github.com/theforeman/foreman/pull/7580)

#8 - 10/13/2021 04:39 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8841 added

#9 - 10/14/2021 06:19 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#10 - 10/14/2021 07:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|8e45f67cad79fcc5ce1fe726d03ce4facc76d0ac.

#11 - 10/18/2021 04:14 PM - The Foreman Bot

- Fixed in Releases 3.0.1 added
